// java wrapper for vtkStaticCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStaticCellLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkAbstractCellLocator_Typecast(void* op,char* dType);

extern "C" JNIEXPORT void* vtkStaticCellLocator_Typecast(void* me,char* dType)
{
  void* res;
  if (!strcmp("vtkStaticCellLocator",dType)) { return me; }
  if ((res= vtkAbstractCellLocator_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_IsTypeOf_10(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_IsA_11(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsA(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStaticCellLocator_GetNumberOfGenerationsFromBaseType_12(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStaticCellLocator_GetNumberOfGenerationsFromBase_13(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_SetDivisions_14(JNIEnv* env, jobject obj,jint id0,jint id1,jint id2)
{
  int   temp0;
  int   temp1;
  int   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetDivisions(temp0,temp1,temp2);

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_SetDivisions_15(JNIEnv* env, jobject obj,jintArray id0)
{
  int temp0[3];
  env->GetIntArrayRegion(id0, 0, 3, reinterpret_cast<jint*>(&temp0[0]));

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetDivisions(temp0);

}

extern "C" JNIEXPORT jintArray  JNICALL Java_vtk_vtkStaticCellLocator_GetDivisions_16(JNIEnv* env, jobject obj)
{
  int * temp20;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetDivisions();
  return vtkJavaMakeJArrayOfInt(env, reinterpret_cast<jint*>(temp20), 3);

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStaticCellLocator_FindCell_17(JNIEnv* env, jobject obj,jdoubleArray id0)
{
  double temp0[3];
  long long   temp20;
  env->GetDoubleArrayRegion(id0, 0, 3, &temp0[0]);

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->FindCell(temp0);
  env->SetDoubleArrayRegion(id0, 0, 3, &temp0[0]);
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_FindCellsAlongLine_18(JNIEnv* env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdouble id2,jobject id3)
{
  double temp0[3];
  double temp1[3];
  double   temp2;
  vtkIdList * temp3;
  env->GetDoubleArrayRegion(id0, 0, 3, &temp0[0]);
  env->GetDoubleArrayRegion(id1, 0, 3, &temp1[0]);
  temp2 = id2;
  temp3 = static_cast<vtkIdList*>(vtkJavaGetPointerFromObject(env, id3));

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->FindCellsAlongLine(temp0,temp1,temp2,temp3);

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_FindCellsAlongPlane_19(JNIEnv* env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdouble id2,jobject id3)
{
  double temp0[3];
  double temp1[3];
  double   temp2;
  vtkIdList * temp3;
  env->GetDoubleArrayRegion(id0, 0, 3, &temp0[0]);
  env->GetDoubleArrayRegion(id1, 0, 3, &temp1[0]);
  temp2 = id2;
  temp3 = static_cast<vtkIdList*>(vtkJavaGetPointerFromObject(env, id3));

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->FindCellsAlongPlane(temp0,temp1,temp2,temp3);

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_IntersectWithLine_110(JNIEnv* env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2,jobject id3)
{
  double temp0[3];
  double temp1[3];
  vtkPoints * temp2;
  vtkIdList * temp3;
  int   temp20;
  env->GetDoubleArrayRegion(id0, 0, 3, &temp0[0]);
  env->GetDoubleArrayRegion(id1, 0, 3, &temp1[0]);
  temp2 = static_cast<vtkPoints*>(vtkJavaGetPointerFromObject(env, id2));
  temp3 = static_cast<vtkIdList*>(vtkJavaGetPointerFromObject(env, id3));

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IntersectWithLine(temp0,temp1,temp2,temp3);
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_GenerateRepresentation_111(JNIEnv* env, jobject obj,jint id0,jobject id1)
{
  int   temp0;
  vtkPolyData * temp1;
  temp0 = id0;
  temp1 = static_cast<vtkPolyData*>(vtkJavaGetPointerFromObject(env, id1));

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->GenerateRepresentation(temp0,temp1);

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_FreeSearchStructure_112(JNIEnv* env, jobject obj)
{

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->FreeSearchStructure();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_BuildLocator_113(JNIEnv* env, jobject obj)
{

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->BuildLocator();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_SetMaxNumberOfBuckets_114(JNIEnv* env, jobject obj,jlong id0)
{
  long long   temp0;
  temp0 = id0;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetMaxNumberOfBuckets(temp0);

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStaticCellLocator_GetMaxNumberOfBucketsMinValue_115(JNIEnv* env, jobject obj)
{
  long long   temp20;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetMaxNumberOfBucketsMinValue();
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStaticCellLocator_GetMaxNumberOfBucketsMaxValue_116(JNIEnv* env, jobject obj)
{
  long long   temp20;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetMaxNumberOfBucketsMaxValue();
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStaticCellLocator_GetMaxNumberOfBuckets_117(JNIEnv* env, jobject obj)
{
  long long   temp20;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetMaxNumberOfBuckets();
  return temp20;

}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStaticCellLocator_GetLargeIds_118(JNIEnv* env, jobject obj)
{
  bool   temp20;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetLargeIds();
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_SetUseDiagonalLengthTolerance_119(JNIEnv* env, jobject obj,jboolean id0)
{
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetUseDiagonalLengthTolerance(temp0);

}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStaticCellLocator_GetUseDiagonalLengthTolerance_120(JNIEnv* env, jobject obj)
{
  bool   temp20;

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetUseDiagonalLengthTolerance();
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_UseDiagonalLengthToleranceOn_121(JNIEnv* env, jobject obj)
{

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->UseDiagonalLengthToleranceOn();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_UseDiagonalLengthToleranceOff_122(JNIEnv* env, jobject obj)
{

  vtkStaticCellLocator* op = static_cast<vtkStaticCellLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->UseDiagonalLengthToleranceOff();

}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStaticCellLocator_VTKInit(JNIEnv*, jobject)
{
  return reinterpret_cast<jlong>(vtkStaticCellLocator::New());
}
