// java wrapper for vtkCellTreeLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellTreeLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkAbstractCellLocator_Typecast(void* op,char* dType);

extern "C" JNIEXPORT void* vtkCellTreeLocator_Typecast(void* me,char* dType)
{
  void* res;
  if (!strcmp("vtkCellTreeLocator",dType)) { return me; }
  if ((res= vtkAbstractCellLocator_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTreeLocator_IsTypeOf_10(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTreeLocator_IsA_11(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsA(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCellTreeLocator_GetNumberOfGenerationsFromBaseType_12(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCellTreeLocator_GetNumberOfGenerationsFromBase_13(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTreeLocator_IntersectWithLine_14(JNIEnv* env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2,jobject id3)
{
  double temp0[3];
  double temp1[3];
  vtkPoints * temp2;
  vtkIdList * temp3;
  int   temp20;
  env->GetDoubleArrayRegion(id0, 0, 3, &temp0[0]);
  env->GetDoubleArrayRegion(id1, 0, 3, &temp1[0]);
  temp2 = static_cast<vtkPoints*>(vtkJavaGetPointerFromObject(env, id2));
  temp3 = static_cast<vtkIdList*>(vtkJavaGetPointerFromObject(env, id3));

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IntersectWithLine(temp0,temp1,temp2,temp3);
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCellTreeLocator_FindCell_15(JNIEnv* env, jobject obj,jdoubleArray id0)
{
  double temp0[3];
  long long   temp20;
  env->GetDoubleArrayRegion(id0, 0, 3, &temp0[0]);

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->FindCell(temp0);
  env->SetDoubleArrayRegion(id0, 0, 3, &temp0[0]);
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_FreeSearchStructure_16(JNIEnv* env, jobject obj)
{

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->FreeSearchStructure();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_GenerateRepresentation_17(JNIEnv* env, jobject obj,jint id0,jobject id1)
{
  int   temp0;
  vtkPolyData * temp1;
  temp0 = id0;
  temp1 = static_cast<vtkPolyData*>(vtkJavaGetPointerFromObject(env, id1));

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->GenerateRepresentation(temp0,temp1);

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_BuildLocatorInternal_18(JNIEnv* env, jobject obj)
{

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->BuildLocatorInternal();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_BuildLocatorIfNeeded_19(JNIEnv* env, jobject obj)
{

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->BuildLocatorIfNeeded();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_ForceBuildLocator_110(JNIEnv* env, jobject obj)
{

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->ForceBuildLocator();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_BuildLocator_111(JNIEnv* env, jobject obj)
{

  vtkCellTreeLocator* op = static_cast<vtkCellTreeLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->BuildLocator();

}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCellTreeLocator_VTKInit(JNIEnv*, jobject)
{
  return reinterpret_cast<jlong>(vtkCellTreeLocator::New());
}
